INTERFACE
SUBROUTINE HRETR(KDLEN,KDBDY,KSET,KHORIZ,LDFLAG_DO_AEOLUS_L2BP)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPPM
USE YOMDIMO , ONLY : NLSAT ,NMXTCHU, NPNAV
USE YOMDB
USE TYPE_GEMS_PROFILES
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KDBDY
INTEGER(KIND=JPIM),INTENT(IN) :: KSET
INTEGER(KIND=JPIM),INTENT(IN) :: KHORIZ
LOGICAL, OPTIONAL, INTENT(IN) :: LDFLAG_DO_AEOLUS_L2BP
INTEGER(KIND=JPIM), PARAMETER :: IDBDY2=2
END SUBROUTINE HRETR
END INTERFACE
